# $Revision: 1.16 $, $Date: 2004/08/11 19:07:31 $
Summary:	Commodore 64 emulator
Summary(pl):	Emulator Commodore 64
Name:		Frodo
Version:	4.1b
Release:	3
License:	non-commercial
Group:		Applications/Emulators
Source0:	http://iphcip1.physik.uni-mainz.de/~cbauer/%{name}V4_1b.Src.tar.gz
# Source0-md5:	095b9f21c03204cc13f7f249e8866cd9
Patch0:		%{name}-paths.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-alpha.patch
URL:		http://www.uni-mainz.de/~bauec002/FRMain.html
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	SDL-devel >= 1.2.0
Requires:	tk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Frodo V4.1 is a free, portable C64 emulator for BeOS, Unix, MacOS,
AmigaOS, RiscOS and WinNT/95 systems.

This emulator focuses on the exact reproduction of special graphical
effects possible on the C64, and has therefore relatively high system
requirements. It should only be run on systems with at least a
PowerPC/Pentium/68060. Frodo is capable of running most games and
demos correctly, even those with FLI, FLD, DYCP, open borders,
multiplexed sprites, timing dependent decoders, fast loaders etc. 6510
emulation: All undocumented opcodes, 100 percent correct decimal mode,
instruction/cycle exact emulation. VIC emulation: Line-/cycle-based
emulation, all display modes, sprites with collisions/priorities, DMA
cycles, open borders, all $d011/$d016 effects. SID emulation:
Real-time digital emulation (16 bit, 44.1kHz), including filters (only
under BeOS, Linux, HP-UX, MacOS and AmigaOS). 1541 emulation: Drive
simulation in directories, .d64/x64 or .t64/LYNX files, or
processor-level 1541 emulation that works with about 95 percent of all
fast loaders and even some copy protection schemes. Other peripherals:
Keyboard and joystick (real joysticks (only under BeOS, Linux and
AmigaOS) or keyboard emulation). The full source code in C++ is
available. Frodo is freeware.

%description -l pl
Frodo jest darmowym, przenonym emulatorem C64 dla BeOS, uniksw,
MacOS, AmigaOS, RiscOS i WinNT/Win9x.

Ten emulator skupia si na dokadnym odtworzeniu specjalnych efektw
graficznych osigalnych na C64, wic ma dosy due wymagania dotyczce
systemu. Powinien by uruchamiany tylko na systemach z co najmniej
PowerPC/Pentium/68060. Frodo jest w stanie uruchomi poprawnie
wikszo gier i dem, nawet te z FLI, FLD, DYCP, otwartymi ramkami,
zamienianymi duszkami, dekoderami zalenymi od czasu, szybkimi
loaderami itp. Emulacja 6510: wszystkie nieudokumentowane instrukcje,
w peni poprawny tryb dziesitny, dokadna emulacja liczby cykli dla
instrukcji. Emulacja VIC: bazujca na liniach lub cyklach, wszystkie
tryby wywietlania, duszki z kolizjami i priorytetami, cykle DMA,
otwarte ramki, wszystkie efekty $d011/$d016. Emulacja SID: emulacja
cyfrowa w czasie rzeczywistym (16 bitw. 44.1kHz), wcznie z filtrami
(tylko pod BeOS-em, Linuksem, HP-UX-em, MacOS-em i AmigaOS-em).
Emulacja 1541: symulacja dyskw w katalogach, plikach .d64/x64 albo
.t64/LYNX, lub emulacja 1541 na poziomie procesora, obsugujca okoo
95%% wszystkich szybkich loaderw i nawet niektre rodzaje
zabezpiecze przed kopiowaniem. Inne peryferia: klawiatura i joystick
(prawdziwe joysticki (tylko pod BeOS-em, Linuksem i AmigaOS-em) lub
emulacja na klawiaturze). Dostpne s pene rda w C++. Frodo jest
freeware.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd Src
%{__autoconf}
CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
CFLAGS="$CFLAGS -DX_USE_SHM -fno-exceptions -fno-rtti -fno-implicit-templates"
%configure
%{__make} all \
	FRODOHOME="\\\"%{_libdir}/Frodo/\\\"" \
	CC=%{__cc} \
	CXX=%{__cxx}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/Frodo/{64prgs,64imgs},%{_bindir}}

install Src/Frodo Src/FrodoPC Src/FrodoSC $RPM_BUILD_ROOT%{_bindir}
install TkGui.tcl "Frodo Logo" $RPM_BUILD_ROOT%{_libdir}/Frodo
install "1541 ROM" "Basic ROM" "Char ROM" "Kernal ROM" $RPM_BUILD_ROOT%{_libdir}/Frodo
install 64prgs/* $RPM_BUILD_ROOT%{_libdir}/Frodo/64prgs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES Docs/*
%attr(755,root,root) %{_bindir}/*
%{_libdir}/Frodo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Frodo.spec,v $
Revision 1.16  2004/08/11 19:07:31  qboosh
- removed bogus config.sub refresh (there is no config.sub)
- release 3

Revision 1.15  2004/08/11 19:06:02  qboosh
- added alpha patch

Revision 1.14  2004/08/09 21:48:08  averne
- refresh config.sub
- rel 2

Revision 1.13  2003/06/16 19:09:14  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.12  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/22 14:37:33  misiek
- updated to 4.1b

Revision 1.9  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.8  2002/10/12 22:17:57  qboosh
- gcc3 patch with C++ fixes
- completed pl description, release 4

Revision 1.7  2002/08/18 15:03:37  blues
- release 3 - license fix

Revision 1.6  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.5  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/06/15 16:23:08  kloczek
- cosmetics.

Revision 1.1  2001/06/15 16:16:45  qboosh
- adapted to PLD
- 16bpp patch changed to 16+bpp patch (supports also 24-bit visuals)
- new joy, opt, paths patches; removed non-necessary XSHM patch

* Sun Jul 5 1998 Jason Spangler <jasons@usemail.com>
  - initial creation of RPM
	- added 16-bit color patch
	- added XSHM patch
	- added patch to comment out tk 4.1 requirement in TkGui.tcl
